For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocumentationAPI Reference
DocumentationAPI Reference
  • Getting Started
    • Introduction
    • Concepts
    • SDKs
  • API Reference
      • GETGet roles
      • POSTCreate role
      • GETGet role
      • PUTUpdate role
      • DELDelete role
      • GETGet users by role
Dashboard
LogoLogo
API ReferenceRoles

Get roles

GET
https://demo.authit.cloud/admin/realms/:realm/roles
GET
/admin/realms/:realm/roles
$curl https://demo.authit.cloud/admin/realms/realm/roles \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "string",
4 "name": "string",
5 "description": "string",
6 "composite": true,
7 "composites": {
8 "realm": [
9 "string"
10 ],
11 "client": {},
12 "application": {}
13 },
14 "clientRole": true,
15 "containerId": "string",
16 "attributes": {},
17 "scopeParamRequired": true
18 }
19]
Get all roles for the given realm or client.
Was this page helpful?
Previous

Create role

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

realmstringRequired

Query parameters

briefRepresentationbooleanOptionalDefaults to true
firstintegerOptional
maxintegerOptional
searchstringOptionalDefaults to

Response

idstring
namestring
descriptionstring
compositeboolean
compositesobject
clientRoleboolean
containerIdstring
attributesmap from strings to lists of strings
scopeParamRequiredbooleanDeprecated

Errors

403
Forbidden Error